[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| GiniCriterion Class Reference |

`#include <vigra/random_forest/rf_split.hxx>`

List of all members.

## Public Member Functions
template<class Array , class Array2 >
double | operator() (Array const &hist, Array2 const &weights, double total=1.0) const
template<class Array >
double | operator() (Array const &hist, double total=1.0) const
## Static Public Member Functions
template<class Array >
static double | impurity (Array const &hist, double total)
template<class Array , class Array2 >
static double | impurity (Array const &hist, Array2 const &weights, double total)

## Detailed Description

Functor to calculate the gini impurity

## Member Function Documentation

double operator() | ( | Array const & | hist,
|  | Array2 const & | weights,
|  | double | total = `1.0`
| ) |  | const

calculate the weighted gini impurity based on class histogram and class weights

double operator() | ( | Array const & | hist,
|  | double | total = `1.0`
| ) |  | const

calculate the gini based impurity based on class histogram

static double impurity | ( | Array const & | hist,
|  | double | total
| ) |  | `[static]`

static version of operator(hist total)

static double impurity | ( | Array const & | hist,
|  | Array2 const & | weights,
|  | double | total
| ) |  | `[static]`

static version of operator(hist, weights, total)

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)